Page MenuHomePhabricator

[minor] Page curation: 'Marked as reviewed' message should be truncated when displayed on Special:Notifications
Closed, ResolvedPublic

Description

  1. When a page is reviewed, there is 'Add a message for the creator: (optional)' text field where a lengthy text can be entered.
  1. When the 'Page has been reviewed' notification is displayed on Special:Notificaitons, the message does not get truncated.

The notification drop down flyout truncates the message correctly:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 11 2017, 9:35 PM
Catrope added a subscriber: Catrope.Jan 2 2018, 6:10 PM

IIRC there is no CSS-based truncation on Special:Notifications, and we instead rely on server-side truncation to have happened at event creation time. But maybe we should also apply server-side truncation at render time.

Change 401634 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/PageTriage@master] Truncate long notification messages

https://gerrit.wikimedia.org/r/401634

Change 401634 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Truncate long notification messages

https://gerrit.wikimedia.org/r/401634

SBisson added a subscriber: SBisson.

The patch above (which I've just +2) is truncating the 'note' during event production. It's great for the future and for storage but it leaves all the old notifications too long.

Are we ok with that or do we want to consider truncating before display or a maintenance script to clean up old data?

Checked in betalabs - the truncation is done.

@jmatazzoni do you think that long messages recorded previously should be truncated retroactively (see @SBisson comment).

QA Recommendation: Product should weigh in

@Etonkovidova, a question: if the message is truncated in the notification in the panel and truncated on the Notifications page, then were does the user see the full text of the message?

@jmatazzoni I was referring to this comment:

@SBisson
The patch above (which I've just +2) is truncating the 'note' during event production. It's great for the future and for storage but it leaves all the old
notifications too long.
Are we ok with that or do we want to consider truncating before display or a maintenance script to clean up old data?

@Etonkovidova, so I'm confused. I am not worried about old messages. No one reads them. Let sleeping dogs lie.

Are you saying that we are now making it so that users who write one of these messages can't write them long?

@jmattazoni - the length of the messages is still unrestricted. The fix is only about truncating the lengthy messages.

@Etonkovidova, so I'm confused. I am not worried about old messages. No one reads them. Let sleeping dogs lie.

Are you saying that we are now making it so that users who write one of these messages can't write them long?

@Etonkovidova already said that, but I will confirm. We're not prohibiting length of messages users can leave to other users. Just summary in notification about that message.
Yes, the question was about old messages and you have answered that concern already. We're done here.

jmatazzoni closed this task as Resolved.Mar 26 2018, 5:12 PM